Get an implementation guide

GET/fhir/implementation-guides/{name}

Returns a single implementation guide, including its profile_context and the ids of the profiles that belong to it.

RequiresBearerauthentication

Path parameters

namestringrequired

The implementation guide name.

Returns  

The requested implementation guide

Response fields

namestringoptional
profile_contextstringoptional
profile_countintegeroptional
created_atstringoptional
updated_atstringoptional
profilesarray<string>optional
GETRequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X GET "https://experiment.app.pheno.ml/fhir/implementation-guides/acme-cardiology" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "name": "acme-cardiology",
  "profile_context": "When the text mentions phenotypic features, prefer the hpo-observation profile over Condition.",
  "profile_count": 3,
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z",
  "profiles": [
    "custom-patient",
    "acme-vital-signs"
  ]
}